import request from '@/utils/request'
import qs from 'qs'

/**
 * 报修管理接口
 */

// 获取报修车辆信息列表
const getRepairList = function(params) {
    return request({
        url: '/bikeTrouble/findPageList.do',
        method: 'get',
        params
    })
}
// 查看报修信息
const getRepairDetails = function(params) {
    return request({
        url: '/bikeTrouble/findBikeTroubleById.do',
        method: 'get',
        params
    })
}
// 删除报修信息
const delRepair = function(params) {
    return request({
        url: '/bikeTrouble/deleteBikeTrouble.do',
        method: 'get',
        params
    })
}

export default {
    getRepairList,
    getRepairDetails,
    delRepair
}
